<template>
  <div>
    <div v-for="(item, index) in iconList" :key="index" :class="$style.iconContent">
      <a-icon :type="item" theme="filled"></a-icon>
      {{ item }}
    </div>
  </div>
</template>

<script>
import components from './_import-components/audit-icons-list-import'

export default {
  name: 'AuditIconsList',
  metaInfo: {
    title: '审计扩展图标',
  },
  components,
  data() {
    return {
      iconList: [],
    }
  },
  mounted() {
    const files = require.context('@/common/components/sd-icon-library/icons/audit', false, /.js$/)
    files.keys().forEach((key) => {
      this.iconList.push('sd-' + key.replace(/.\/|.js/g, ''))
    })
  },
  methods: {},
}
</script>

<style module lang="scss">
@use '@/common/design' as *;
.icon-content {
  i {
    font-size: 30px;
    margin-bottom: 10px;
  }
}
</style>
